diff --git a/recipes/v4l-utils/v4l-utils-0.8.7/fix-missing-includes.patch b/recipes/v4l-utils/v4l-utils-0.8.7/fix-missing-includes.patch
new file mode 100644
index 0000000..0eb8b1a
--- /dev/null
+++ b/recipes/v4l-utils/v4l-utils-0.8.7/fix-missing-includes.patch
@@ -0,0 +1,14 @@
+Upstream: Yes (fixed in git version)
+Reason: Add missing include to fix building with latest kernels
+Source: Dirk Mallunat <s4msung@exigen.org>
+
+--- a/utils/dvb/dvb_frontend.h	2012-08-03 18:03:44.831131089 +0200
++++ b/utils/dvb/dvb_frontend.h	2012-08-03 18:03:33.631844968 +0200
+@@ -26,6 +26,7 @@
+ #ifndef _DVBFRONTEND_H_
+ #define _DVBFRONTEND_H_
+ 
++#include <stddef.h>
+ #include <linux/types.h>
+ 
+ typedef enum fe_type {
diff --git a/recipes/v4l-utils/v4l-utils-0.8.7/qt.patch b/recipes/v4l-utils/v4l-utils-0.8.7/qt.patch
new file mode 100644
index 0000000..ca4689d
--- /dev/null
+++ b/recipes/v4l-utils/v4l-utils-0.8.7/qt.patch
@@ -0,0 +1,70 @@
+diff -urN v4l-utils-0.8.7/lib/libv4l1/Makefile v4l-utils-0.8.7n//lib/libv4l1/Makefile
+--- v4l-utils-0.8.7/lib/libv4l1/Makefile	2012-04-06 18:55:44.000000000 +0200
++++ v4l-utils-0.8.7n//lib/libv4l1/Makefile	2012-04-14 01:09:14.294984942 +0200
+@@ -33,9 +33,7 @@
+ 	@echo 'Name: libv4l1' >> libv4l1.pc
+ 	@echo 'Description: v4l1 compatibility library' >> libv4l1.pc
+ 	@echo 'Version: '$(V4L_UTILS_VERSION) >> libv4l1.pc
+-	@echo 'Requires.private: libv4l2' >> libv4l1.pc
+ 	@echo 'Libs: -L$${libdir} -lv4l1' >> libv4l1.pc
+-	@echo 'Libs.private: '$(LIBS_libv4l1) >> libv4l1.pc
+ 	@echo 'Cflags: -I$${prefix}/include' >> libv4l1.pc
+ 
+ install: all
+diff -urN v4l-utils-0.8.7/lib/libv4l2/Makefile v4l-utils-0.8.7n//lib/libv4l2/Makefile
+--- v4l-utils-0.8.7/lib/libv4l2/Makefile	2012-04-06 18:55:44.000000000 +0200
++++ v4l-utils-0.8.7n//lib/libv4l2/Makefile	2012-04-14 01:09:26.166985513 +0200
+@@ -33,9 +33,7 @@
+ 	@echo 'Name: libv4l2' >> libv4l2.pc
+ 	@echo 'Description: v4l2 device access library' >> libv4l2.pc
+ 	@echo 'Version: '$(V4L_UTILS_VERSION) >> libv4l2.pc
+-	@echo 'Requires.private: libv4lconvert' >> libv4l2.pc
+ 	@echo 'Libs: -L$${libdir} -lv4l2' >> libv4l2.pc
+-	@echo 'Libs.private: '$(LIBS_libv4l2) >> libv4l2.pc
+ 	@echo 'Cflags: -I$${prefix}/include' >> libv4l2.pc
+ 
+ install: all
+diff -urN v4l-utils-0.8.7/lib/libv4lconvert/Makefile v4l-utils-0.8.7n//lib/libv4lconvert/Makefile
+--- v4l-utils-0.8.7/lib/libv4lconvert/Makefile	2012-04-06 18:55:44.000000000 +0200
++++ v4l-utils-0.8.7n//lib/libv4lconvert/Makefile	2012-04-14 01:08:45.758983570 +0200
+@@ -36,7 +36,6 @@
+ 	@echo 'Description: v4l format conversion library' >> libv4lconvert.pc
+ 	@echo 'Version: '$(V4L_UTILS_VERSION) >> libv4lconvert.pc
+ 	@echo 'Libs: -L$${libdir} -lv4lconvert' >> libv4lconvert.pc
+-	@echo 'Libs.private: '$(LIBS_libv4lconvert) >> libv4lconvert.pc
+ 	@echo 'Cflags: -I$${prefix}/include' >> libv4lconvert.pc
+ 
+ install: all
+diff -urN v4l-utils-0.8.7/utils/Makefile v4l-utils-0.8.7n//utils/Makefile
+--- v4l-utils-0.8.7/utils/Makefile	2012-04-06 18:55:44.000000000 +0200
++++ v4l-utils-0.8.7n//utils/Makefile	2012-04-13 23:55:44.166771431 +0200
+@@ -5,21 +5,6 @@
+ 		$(MAKE) -C $$i $@ || exit 1; \
+ 	done
+ 
+-	# Test whether qmake is installed, and whether it is for qt4.
+-	@if which qmake-qt4 >/dev/null 2>&1; then \
+-		QMAKE=qmake-qt4; \
+-	else \
+-		QMAKE=qmake; \
+-	fi; \
+-	if which $$QMAKE >/dev/null 2>&1; then \
+-		if $$QMAKE --version 2>&1 | grep '4\.[0-9][0-9]*\.[0-9][0-9]*' >/dev/null; then \
+-			if [ ! -f qv4l2/Makefile ]; then \
+-				(cd qv4l2 && $$QMAKE) || exit 1; \
+-			fi; \
+-			$(MAKE) -C qv4l2 -f Makefile.install $@; \
+-		fi \
+-	fi
+-
+ sync-with-kernel:
+ 	$(MAKE) -C keytable $@
+ 	$(MAKE) -C v4l2-dbg $@
+@@ -30,7 +15,5 @@
+ 		$(MAKE) -C $$i $@; \
+ 	done
+ 	$(MAKE) -C v4l2-sysfs-path $@
+-	if [ -f qv4l2/Makefile ]; then $(MAKE) -C qv4l2 $@; fi
+-	rm -f qv4l2/Makefile qv4l2/qv4l2
+ 
+ include ../Make.rules
diff --git a/recipes/v4l-utils/v4l-utils.inc b/recipes/v4l-utils/v4l-utils.inc
new file mode 100644
index 0000000..0f2cdc3
--- /dev/null
+++ b/recipes/v4l-utils/v4l-utils.inc
@@ -0,0 +1,33 @@
+DESCRIPTION = "The LinuxTV project develops and maintains the media driver Linux Kernel Subsystems, which consists of devices for webcams, analog TV, digital TV and remote controllers"
+LICENSE = "LGPL"
+
+RECIPE_TYPES = "machine native"
+
+DEPENDS = "libjpeg librt libm"
+
+inherit autotools pkgconfig c++
+
+SRC_URI  = "http://linuxtv.org/downloads/v4l-utils/${PN}-${PV}.tar.bz2"
+
+DEPENDS_${PN} += "${DEPENDS}"
+
+EXTRA_OEMAKE_INSTALL += " PREFIX=${prefix}//"
+EXTRA_OEMAKE += " PREFIX=${prefix}//"
+
+inherit auto-package-libs
+AUTO_PACKAGE_LIBS = "v4l1 v4l2 v4lconvert"
+AUTO_PACKAGE_LIBS_DEV_DEPENDS = "${PN}-dev_${PV}"
+
+FILES_${PN}-dbg += "/sbin/.debug/*"
+
+FILES_${PN} += "/lib/udev /sbin/*"
+FILES_${PN}-libv4l1 += "${libdir}/libv4l"
+
+DEPENDS_${PN}-libv4l2 += "libv4lconvert"
+DEPENDS_${PN}-libv4l1 += "libv4lconvert"
+
+RDEPENDS_${PN}-libv4l1 += "${DEPENDS} ${PN}-libv4lconvert"
+RDEPENDS_${PN}-libv4l2 += "${DEPENDS} ${PN}-libv4lconvert"
+RDEPENDS_${PN}-libv4lconvert += "${DEPENDS}"
+
+
diff --git a/recipes/v4l-utils/v4l-utils_0.8.7.oe b/recipes/v4l-utils/v4l-utils_0.8.7.oe
new file mode 100644
index 0000000..3111ce6
--- /dev/null
+++ b/recipes/v4l-utils/v4l-utils_0.8.7.oe
@@ -0,0 +1,4 @@
+require v4l-utils.inc
+
+SRC_URI += "file://qt.patch"
+SRC_URI += "file://fix-missing-includes.patch"
diff --git a/recipes/v4l-utils/v4l-utils_0.8.7.oe.sig b/recipes/v4l-utils/v4l-utils_0.8.7.oe.sig
new file mode 100644
index 0000000..f57da68
--- /dev/null
+++ b/recipes/v4l-utils/v4l-utils_0.8.7.oe.sig
@@ -0,0 +1 @@
+74d0272acbf826ec73645d05268f23a0881a6da4  v4l-utils-0.8.7.tar.bz2