diff --git a/recipes/nss/nss-3.15.1/cross-config.patch b/recipes/nss/nss-3.15.1/cross-config.patch
new file mode 100644
index 0000000..ad8959c
--- /dev/null
+++ b/recipes/nss/nss-3.15.1/cross-config.patch
@@ -0,0 +1,24 @@
+--- nss/coreconf/Linux.org.mk	2013-08-06 12:45:47.096832931 +0200
++++ nss/coreconf/Linux.mk	2013-08-06 12:48:40.744827800 +0200
+@@ -16,9 +16,7 @@
+ 	IMPL_STRATEGY = _PTH
+ endif
+ 
+-CC			= gcc
+-CCC			= g++
+-RANLIB			= ranlib
++CCC			= $(CPP)
+ 
+ DEFAULT_COMPILER = gcc
+ 
+--- nss/coreconf/arch.org.mk	2013-08-06 14:10:25.528682880 +0200
++++ nss/coreconf/arch.mk	2013-08-06 14:11:41.140680646 +0200
+@@ -302,7 +302,7 @@
+ # IMPL_STRATEGY may be defined too.
+ #
+ 
+-OBJDIR_NAME = $(OS_TARGET)$(OS_RELEASE)$(CPU_TAG)$(COMPILER_TAG)$(LIBC_TAG)$(IMPL_STRATEGY)$(OBJDIR_TAG).OBJ
++OBJDIR_NAME = obj
+ 
+ ifeq (,$(filter-out WIN%,$(OS_TARGET)))
+ ifndef BUILD_OPT
diff --git a/recipes/nss/nss-3.15.2/cross-config.patch b/recipes/nss/nss-3.15.2/cross-config.patch
new file mode 100644
index 0000000..e89d2fa
--- /dev/null
+++ b/recipes/nss/nss-3.15.2/cross-config.patch
@@ -0,0 +1,24 @@
+--- nss/coreconf/Linux.org.mk	2013-08-06 12:45:47.096832931 +0200
++++ nss/coreconf/Linux.mk	2013-08-06 12:48:40.744827800 +0200
+@@ -16,9 +16,7 @@
+ 	IMPL_STRATEGY = _PTH
+ endif
+ 
+-CC			= gcc
+-CCC			= g++
+-RANLIB			= ranlib
++CCC			= $(CXX)
+ 
+ DEFAULT_COMPILER = gcc
+ 
+--- nss/coreconf/arch.org.mk	2013-08-06 14:10:25.528682880 +0200
++++ nss/coreconf/arch.mk	2013-08-06 14:11:41.140680646 +0200
+@@ -302,7 +302,7 @@
+ # IMPL_STRATEGY may be defined too.
+ #
+ 
+-OBJDIR_NAME = $(OS_TARGET)$(OS_RELEASE)$(CPU_TAG)$(COMPILER_TAG)$(LIBC_TAG)$(IMPL_STRATEGY)$(OBJDIR_TAG).OBJ
++OBJDIR_NAME = obj
+ 
+ ifeq (,$(filter-out WIN%,$(OS_TARGET)))
+ ifndef BUILD_OPT
diff --git a/recipes/nss/nss_3.15.1.oe b/recipes/nss/nss_3.15.1.oe
new file mode 100644
index 0000000..d9c718c
--- /dev/null
+++ b/recipes/nss/nss_3.15.1.oe
@@ -0,0 +1,78 @@
+SUMMARY = "Network Security Services - provides cross platform security support"
+DESCRIPTION = """
+Network Security Services (NSS) comprises a set of libraries designed to support
+cross-platform development of security-enabled client and server applications
+with optional support for hardware SSL acceleration on the server side and
+hardware smart cards on the client side.
+"""
+LICENSE = "MPL"
+HOMEPAGE = "https://developer.mozilla.org/en/docs/NSS"
+
+RECIPE_TYPE = "machine sdk"
+
+SRC_URI = "ftp://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_3_15_1_RTM/src/${PN}-${PV}.tar.gz"
+
+SRC_URI += "http://www.linuxfromscratch.org/patches/blfs/svn/nss-3.15.1-standalone-2.patch;striplevel=2"
+
+SRC_URI += """
+	file://cross-config.patch
+"""
+
+inherit c make library pkgconfig
+
+# According to http://www.linuxfromscratch.org/blfs/view/svn/postlfs/nss.html
+PARALLEL_MAKE = ""
+
+DEPENDS += "nspr nspr-dev libz libdl libpthread librt"
+
+S = "${SRCDIR}/${PN}-${PV}/${PN}"
+
+EXTRA_OEMAKE_COMPILE = " \
+	BUILD_OPT=1 \
+	NSPR_INCLUDE_DIR=${STAGE_DIR}/${includedir} \
+	USE_SYSTEM_ZLIB=1 \
+	ZLIB_LIBS=-lz \
+"
+
+do_install () {
+	install -d ${D}${bindir}
+	install -m 755 ${S}/../dist/obj/bin/* ${D}${bindir}
+
+	install -d ${D}${libdir}
+	install -m 655 ${S}/../dist/obj/lib/*.a ${D}/${libdir}
+
+	install -d ${D}${sharedlibdir}
+	cd ${S}/../dist/obj/lib
+	for solib in *.so
+	do
+		install -m 755 ${S}/../dist/obj/lib/$solib \
+			 ${D}/${sharedlibdir}/$solib
+	done
+
+	install -d ${D}${includedir}/nss
+	install -m 755 ${S}/../dist/public/nss/* ${D}${includedir}/nss
+	
+	install -d ${D}${sharedlibdir}/pkgconfig
+	install -m 644  ${S}/../dist/obj/lib/pkgconfig/* \
+		${D}/${sharedlibdir}/pkgconfig
+}
+
+PACKAGES =+ " ${PN}-utils ${PN}-utils-dbg "
+PACKAGES =+ " ${PN}-certutil "
+PACKAGES =+ " ${PN}-nss-config "
+PACKAGES =+ " ${PN}-pk12util "
+
+# no *so.* files are created so use *.so
+# Accomplish by switching SOLIBS and SOLIBSDEV
+SOLIBSDEV = ".so.*"
+SOLIBS = ".so"
+FILES_${PN}-utils = "${bindir}/*"
+FILES_${PN}-utils-dbg = "${bindir}/.debug/*"
+FILES_${PN}-certutil = "${bindir}/certutil"
+FILES_${PN}-nss-config = "${bindir}/nss-config"
+FILES_${PN}-pk12util = "${bindir}/pk12util"
+
+DEPENDLIBS = "nspr libz libdl libpthread librt"
+DEPENDS_${PN} += " ${DEPENDLIBS} "
+RDEPENDS_${PN} += " ${DEPENDLIBS} "
+RDEPENDS_${PN}-utils += "${DEPENDLIBS} libnss" 
diff --git a/recipes/nss/nss_3.15.1.oe.sig b/recipes/nss/nss_3.15.1.oe.sig
new file mode 100644
index 0000000..cc4dfb9
--- /dev/null
+++ b/recipes/nss/nss_3.15.1.oe.sig
@@ -0,0 +1,2 @@
+767a423db66948c55c04c2a31a9626b7a95040e9  nss-3.15.1-standalone-2.patch
+1aa7c0ff8af7fb2c8b6e4886ae2291f4bfe0d5c0  nss-3.15.1.tar.gz
diff --git a/recipes/nss/nss_3.15.2.oe b/recipes/nss/nss_3.15.2.oe
new file mode 100644
index 0000000..1b142b8
--- /dev/null
+++ b/recipes/nss/nss_3.15.2.oe
@@ -0,0 +1,79 @@
+SUMMARY = "Network Security Services - provides cross platform security support"
+DESCRIPTION = """
+Network Security Services (NSS) comprises a set of libraries designed to support
+cross-platform development of security-enabled client and server applications
+with optional support for hardware SSL acceleration on the server side and
+hardware smart cards on the client side.
+"""
+LICENSE = "MPL"
+HOMEPAGE = "https://developer.mozilla.org/en/docs/NSS"
+
+RECIPE_TYPE = "machine sdk"
+
+SRC_URI = "ftp://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_3_15_2_RTM/src/${PN}-${PV}.tar.gz"
+
+SRC_URI += "http://www.linuxfromscratch.org/patches/downloads/nss/nss-3.15.2-standalone-1.patch;striplevel=2"
+
+SRC_URI += """
+	file://cross-config.patch
+"""
+
+inherit c make library pkgconfig
+
+# According to http://www.linuxfromscratch.org/blfs/view/svn/postlfs/nss.html
+PARALLEL_MAKE = ""
+
+DEPENDS += "nspr nspr-dev libz libdl libpthread librt"
+
+S = "${SRCDIR}/${PN}-${PV}/${PN}"
+
+EXTRA_OEMAKE_COMPILE = " \
+	BUILD_OPT=1 \
+	NSPR_INCLUDE_DIR=${STAGE_DIR}${includedir} \
+	NSPR_LIB_DIR=${HOST_SYSROOT}${libdir} \
+	USE_SYSTEM_ZLIB=1 \
+	ZLIB_LIBS=-lz \
+"
+
+do_install () {
+	install -d ${D}${bindir}
+	install -m 755 ${S}/../dist/obj/bin/* ${D}${bindir}
+
+	install -d ${D}${libdir}
+	install -m 655 ${S}/../dist/obj/lib/*.a ${D}/${libdir}
+
+	install -d ${D}${sharedlibdir}
+	cd ${S}/../dist/obj/lib
+	for solib in *.so
+	do
+		install -m 755 ${S}/../dist/obj/lib/$solib \
+			 ${D}/${sharedlibdir}/$solib
+	done
+
+	install -d ${D}${includedir}/nss
+	install -m 755 ${S}/../dist/public/nss/* ${D}${includedir}/nss
+	
+	install -d ${D}${sharedlibdir}/pkgconfig
+	install -m 644  ${S}/../dist/obj/lib/pkgconfig/* \
+		${D}/${sharedlibdir}/pkgconfig
+}
+
+PACKAGES =+ " ${PN}-utils ${PN}-utils-dbg "
+PACKAGES =+ " ${PN}-certutil "
+PACKAGES =+ " ${PN}-nss-config "
+PACKAGES =+ " ${PN}-pk12util "
+
+# no *so.* files are created so use *.so
+# Accomplish by switching SOLIBS and SOLIBSDEV
+SOLIBSDEV = ".so.*"
+SOLIBS = ".so"
+FILES_${PN}-utils = "${bindir}/*"
+FILES_${PN}-utils-dbg = "${bindir}/.debug/*"
+FILES_${PN}-certutil = "${bindir}/certutil"
+FILES_${PN}-nss-config = "${bindir}/nss-config"
+FILES_${PN}-pk12util = "${bindir}/pk12util"
+
+DEPENDLIBS = "nspr libz libdl libpthread librt"
+DEPENDS_${PN} += " ${DEPENDLIBS} "
+RDEPENDS_${PN} += " ${DEPENDLIBS} "
+RDEPENDS_${PN}-utils += "${DEPENDLIBS} libnss" 
diff --git a/recipes/nss/nss_3.15.2.oe.sig b/recipes/nss/nss_3.15.2.oe.sig
new file mode 100644
index 0000000..cb04120
--- /dev/null
+++ b/recipes/nss/nss_3.15.2.oe.sig
@@ -0,0 +1,2 @@
+767a423db66948c55c04c2a31a9626b7a95040e9  nss-3.15.2-standalone-1.patch
+2d900c296bf11deabbf833ebd6ecdea549c97a5f  nss-3.15.2.tar.gz